Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Class ArgumentInfo

    java.lang.Object
      org.eclipse.birt.report.model.api.metadata.ArgumentInfo

All Implemented Interfaces:
  IArgumentInfo

    public class ArgumentInfo

extends java.lang.Object
implements IArgumentInfo

Represents the definition of argument. The argument definition includes the data type, internal name, and display name.

Field Summary

Fields inherited from interface org.eclipse.birt.report.model.api.metadata.IArgumentInfo
`OPTIONAL_ARGUMENT_NAME`

Constructor Summary
`ArgumentInfo()`

Method Summary
`IClassInfo` | `getClassType()` Returns the class type of this argument.
`java.lang.String` | `getDisplayName()` Returns the display name for the property if the resource key of display name is defined.
`java.lang.String` | `getDisplayNameKey()` Returns the resource key for the display name.
`java.lang.String` | `getName()` Returns the internal name for the argument.
`java.lang.String` | `getType()` Returns the script type of this argument.
`protected void` | `setDisplayNameKey(java.lang.String id)` Sets the message ID for the display name.
`protected void` | `setName(java.lang.String theName)` Sets the internal name of the property.
`protected void` | `setType(java.lang.String type)` Sets the script type of this argument.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArgumentInfo

    public ArgumentInfo()

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `IArgumentInfo`
  Returns the internal name for the argument.

  Specified by:
    `getName` in interface `IArgumentInfo`
  Returns:
    the internal (non-localized) name for the argument

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the display name for the property if the resource key of display name is defined. Otherwise, return empty string.

  Specified by:
    `getDisplayName` in interface `IArgumentInfo`
  Returns:
    the user-visible, localized display name for the property

### setName

    protected void setName(java.lang.String theName)

  Sets the internal name of the property.

  Parameters:
    `theName` - the internal property name

### getDisplayNameKey

    public java.lang.String getDisplayNameKey()

  Returns the resource key for the display name.

  Specified by:
    `getDisplayNameKey` in interface `IArgumentInfo`
  Returns:
    The display name message ID.

### setDisplayNameKey

    protected void setDisplayNameKey(java.lang.String id)

  Sets the message ID for the display name.

  Parameters:
    `id` - message ID for the display name

### getType

    public java.lang.String getType()

  Returns the script type of this argument.

  Specified by:
    `getType` in interface `IArgumentInfo`
  Returns:
    the script type to set

### getClassType

    public IClassInfo getClassType()

  Returns the class type of this argument.

  Specified by:
    `getClassType` in interface `IArgumentInfo`
  Returns:
    the class type to set

### setType

    protected void setType(java.lang.String type)

  Sets the script type of this argument.

  Parameters:
    `type` - the script type to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.